Bug 84610 - device icon mount/umount behavior broken by /etc/fstab edit
Summary: device icon mount/umount behavior broken by /etc/fstab edit
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kdesktop
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-07 02:34 UTC by Vassilii Khachaturov
Modified: 2009-12-06 00:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vassilii Khachaturov 2004-07-07 02:34:25 UTC
Version:           ��� (using KDE 3.2.2,  (testing/unstable))
Compiler:          gcc version 3.3.3 (Debian 20040401)
OS:                Linux (i686) release 2.4.25-1-686

(This was originally reported as Debian bug 255010, see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=255010 ).

I had a device icon on my KDE desktop for a removable HD (USB stick) 
partition, /dev/sda1 on /keycard, user mount available.

Eventually, the system /etc/fstab was changed so that /keycard was
now associated with /dev/sda5:

/dev/sda5	/keycard	ext3	rw,user,noauto,nosuid 0 0

After that, attempt to mount the fs using the icon caused /keycard to
be mounted from /dev/sda5, yet no mount indication was shown on the
icon, and it was impossible to umount the disk via the icon. Changing
the device in the icon properties/device tab from sda1 to sda5 restored
the icon back to normal. This had to be repeated for all users that had
such an icon on their desktop.

I find this behavior inconsistent. Either mount should not proceed at
all (because there is no /dev/sda1 on /keycard user mount available
any more), or, if what matters is just the mount point (i.e. the icon
is following /etc/fstab), there should be no device association stored
with the icon, just the mount point, and the device should be looked up
from /etc/fstab. Personally, I would prefer the latter behavior as it
is more consistent with the centralized mountpoint to device mapping via 
the fstab.
Comment 1 Rodrigo M.S. de Oliveira 2004-12-15 13:24:23 UTC
Hi.
Try adding the following to your /etc/fstab:

/dev/sda1        /mnt/pendrive    vfat        noauto,users     0   0

The 'noauto' argument, at least in KDE version 3.3.1 (slackware 10), solves this problem.


sds,
 [Rodrigo Oliveira]
Comment 2 Vassilii Khachaturov 2004-12-16 07:57:14 UTC
As you can see in my original report, noauto is present in my case as well. Are you sure you recreated the same test scenario (first log in and use the icon to mount and unmount, observe the graphical mount indication; then log out; then change fstab to associate the user mount with another device; then try using the mount option off the icon and observe the problem)?

Also your fstab line seems suspicious to me as it has "users" not "user".
Comment 3 shattered 2007-02-25 13:53:59 UTC
Does this still happen in recent KDE versions?
Comment 4 Vassilii Khachaturov 2007-02-25 16:02:45 UTC
> Does this still happen in recent KDE versions?


I don't know. The original submission contains a 100%-repeatable howto on
re-creating the scenario, so one can try and see.

Currently, I switched completely to udev-based solutions, so that the
fstab contains things like /dev/keycard and it's udev that's responsible
for managing the symlink creation in /dev, from keycard to sda1 or sda5 or
whatever. Best thing is that previously, if I plugged in my USB digital
still camera in before the keycard, then it got mapped /dev/sda instead of
the usb memory stick, and if I plugged in keycard together with it, it got
/dev/sdb, with udev it happens no more. So udev is the way to go.

KDE works fine over this, so for me it makes a good workaround
of the original problem, even if it is still present.

Vassilii
Comment 5 FiNeX 2009-12-06 00:04:36 UTC
Kdesktop is no more mantained. Moreover mount/umount has been improved a lot in KDE 4. This bug can be closed.